Chromium Code Reviews
Help | Chromium Project | Sign in
(75)

Issue 1733973004: Limit Public-Key-Pins max-age to 60 days (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 1 month ago by elawrence
Modified:
1 year ago
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Limit Public-Key-Pins max-age to 60 days Set the maximum validity period for a Public-Key-Pins header to 60 days as suggested by http://tools.ietf.org/html/rfc7469#section-4.1 BUG=523654 TEST=net_unittests Committed: https://crrev.com/a6c42bddb0ce6253b7da6f3b66460a243071d04f Cr-Commit-Position: refs/heads/master@{#378231}

Patch Set 1 #

Total comments: 2

Patch Set 2 : Update tests #

Unified diffs Side-by-side diffs Delta from patch set Stats (+25 lines, -18 lines) Patch
M net/http/http_security_headers.h View 1 1 chunk +4 lines, -0 lines 0 comments Download
M net/http/http_security_headers.cc View 5 chunks +17 lines, -14 lines 0 comments Download
M net/http/http_security_headers_unittest.cc View 1 4 chunks +4 lines, -4 lines 0 comments Download
Trybot results:  win8_chromium_ng   win_chromium_compile_dbg_ng   win_chromium_rel_ng   win_chromium_x64_rel_ng   android_chromium_gn_compile_rel   linux_android_rel_ng   android_chromium_gn_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   android_compile_dbg   cast_shell_android   mac_chromium_gn_rel   mac_chromium_compile_dbg_ng   ios_rel_device_ninja   ios_dbg_simulator_ninja   mac_chromium_rel_ng   linux_chromium_chromeos_compile_dbg_ng   linux_chromium_asan_rel_ng   linux_chromium_rel_ng   chromeos_x86-generic_chromium_compile_only_ng   chromium_presubmit   linux_chromium_compile_dbg_ng   linux_chromium_clobber_rel_ng   cast_shell_linux   chromeos_daisy_chromium_compile_only_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_32_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_gn_chromeos_rel   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   win_chromium_rel_ng   win8_chromium_ng   mac_chromium_rel_ng   mac_chromium_gn_rel   mac_chromium_compile_dbg_ng   ios_rel_device_ninja   ios_dbg_simulator_ninja   linux_chromium_gn_chromeos_rel   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_compile_dbg_32_ng   linux_chromium_clobber_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_compile_dbg_ng   linux_chromium_asan_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromeos_x86-generic_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_compile_dbg   android_clang_dbg_recipe   android_chromium_gn_compile_rel   android_chromium_gn_compile_dbg   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 16 (7 generated)
elawrence
1 year, 1 month ago (2016-02-25 21:01:23 UTC) #2
estark
Thanks, this is looking good! I'll do a first pass review over this, and after ...
1 year, 1 month ago (2016-02-25 21:58:04 UTC) #3
elawrence
> this change will cause some existing unit tests to fail Tests updated > Was ...
1 year ago (2016-02-26 17:57:55 UTC) #6
estark
Thanks, lgtm. Now you'll need an OWNER to review; probably rsleevi@ or davidben@ are the ...
1 year ago (2016-02-26 22:02:40 UTC) #7
elawrence
Ryan-- can you please review as an OWNER in this area. Thanks!
1 year ago (2016-02-26 22:16:29 UTC) #9
Ryan Sleevi (conf till 3-24)
lgtm
1 year ago (2016-02-26 22:57:11 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1733973004/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1733973004/20001
1 year ago (2016-02-29 16:45:54 UTC) #12
commit-bot: I haz the power
Committed patchset #2 (id:20001)
1 year ago (2016-02-29 18:00:50 UTC) #14
commit-bot: I haz the power
1 year ago (2016-02-29 18:03:19 UTC) #16
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/a6c42bddb0ce6253b7da6f3b66460a243071d04f
Cr-Commit-Position: refs/heads/master@{#378231}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld d1a128a62